## org.eclipse.datatools.connectivity.oda.design
Enum HorizontalAlignment

    java.lang.Object
      java.lang.Enum<HorizontalAlignment>
          org.eclipse.datatools.connectivity.oda.design.HorizontalAlignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HorizontalAlignment>, org.eclipse.emf.common.util.Enumerator

    public enum HorizontalAlignment

extends java.lang.Enum<HorizontalAlignment>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Horizontal Alignment', and utility methods for working with them. Horizontal display alignment of the data value.

See Also:
  `DesignPackage.getHorizontalAlignment()`

Enum Constant Summary
`AUTOMATIC_LITERAL` The 'Automatic' literal object.
`CENTER_LITERAL` The 'Center' literal object.
`LEFT_AND_RIGHT_LITERAL` The 'Left And Right' literal object.
`LEFT_LITERAL` The 'Left' literal object.
`RIGHT_LITERAL` The 'Right' literal object.

Field Summary
`static int` `AUTOMATIC` The 'Automatic' literal value.
`static int` `CENTER` The 'Center' literal value.
`static java.lang.String` `copyright`
`static int` `LEFT` The 'Left' literal value.
`static int` `LEFT_AND_RIGHT` The 'Left And Right' literal value.
`static int` `RIGHT` The 'Right' literal value.
`static java.util.List<HorizontalAlignment>` `VALUES` A public read-only list of all the 'Horizontal Alignment' enumerators.

Method Summary
`static HorizontalAlignment` `get(int value)` Returns the 'Horizontal Alignment' literal with the specified integer value.
`static HorizontalAlignment` `get(java.lang.String literal)` Returns the 'Horizontal Alignment' literal with the specified literal value.
`static HorizontalAlignment` `getByName(java.lang.String name)` Returns the 'Horizontal Alignment' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static HorizontalAlignment` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HorizontalAlignment[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTOMATIC_LITERAL

    public static final HorizontalAlignment AUTOMATIC_LITERAL

  The 'Automatic' literal object.

  See Also:
    `AUTOMATIC`

### LEFT_LITERAL

    public static final HorizontalAlignment LEFT_LITERAL

  The 'Left' literal object.

  See Also:
    `LEFT`

### CENTER_LITERAL

    public static final HorizontalAlignment CENTER_LITERAL

  The 'Center' literal object.

  See Also:
    `CENTER`

### RIGHT_LITERAL

    public static final HorizontalAlignment RIGHT_LITERAL

  The 'Right' literal object.

  See Also:
    `RIGHT`

### LEFT_AND_RIGHT_LITERAL

    public static final HorizontalAlignment LEFT_AND_RIGHT_LITERAL

  The 'Left And Right' literal object.

  See Also:
    `LEFT_AND_RIGHT`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### AUTOMATIC

    public static final int AUTOMATIC

  The 'Automatic' literal value.

  See Also:
    `AUTOMATIC_LITERAL`, Constant Field Values

### LEFT

    public static final int LEFT

  The 'Left' literal value.

  See Also:
    `LEFT_LITERAL`, Constant Field Values

### CENTER

    public static final int CENTER

  The 'Center' literal value.

  See Also:
    `CENTER_LITERAL`, Constant Field Values

### RIGHT

    public static final int RIGHT

  The 'Right' literal value.

  See Also:
    `RIGHT_LITERAL`, Constant Field Values

### LEFT_AND_RIGHT

    public static final int LEFT_AND_RIGHT

  The 'Left And Right' literal value.

  If the meaning of 'Left And Right' literal object isn't clear, there really should be more of a description here...

  Since:
    3.3.1 (DTP 1.8.1)
  See Also:
    `LEFT_AND_RIGHT_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<HorizontalAlignment> VALUES

  A public read-only list of all the 'Horizontal Alignment' enumerators.

Method Detail

### values

    public static final HorizontalAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(HorizontalAlignment c : HorizontalAlignment.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static HorizontalAlignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static HorizontalAlignment get(java.lang.String literal)

  Returns the 'Horizontal Alignment' literal with the specified literal value.

### getByName

    public static HorizontalAlignment getByName(java.lang.String name)

  Returns the 'Horizontal Alignment' literal with the specified name.

### get

    public static HorizontalAlignment get(int value)

  Returns the 'Horizontal Alignment' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<HorizontalAlignment>`